<?php

/*  Alternate WebshopEngine
(C) 2009-2016 by Alternate Tools
-----------------------------------------------------

File:         class_category.php
Description:  Handling of categories
*/

include "class_storagefile.php";

if (!defined ("CLASS_CATEGORY"))
{
    define ("CLASS_CATEGORY", "defined");

    class cCategory
    {
        var $m_catId;
        var $m_catDate;
        var $m_catName;
        var $m_catDescription;
        var $m_catPosition;
        var $m_catLocked;
        var $m_catFolder;

        function __construct()
        {
            $this->Init();
        }

        function cCategory()  // PHP 4
        {
            $this->__construct();
        }


        function Init()
        {
            $this->m_catId = "0";
            $this->m_catDate = "";
            $this->m_catName = "";
            $this->m_catDescription = "";
            $this->m_catPosition = "0";
            $this->m_catLocked = "0";

            $this->m_catFolder = "";
        }
        
        // Getter / setter
        function GetId()
        {
            return $this->m_catId;
        }
        
        function GetDate()
        {
            return $this->m_catDate;
        }
        
        function SetName($name)
        {
            $this->m_catName = $name;
        }
        function GetName()
        {
            return $this->m_catName;
        }

        function SetDescription($description)
        {
            $this->m_catDescription = $description;
        }
        function GetDescription()
        {
            return $this->m_catDescription;
        }
        
        function SetPosition($position)
        {
            $this->m_catPosition = $position;
        }
        function GetPosition()
        {
            return $this->m_catPosition;
        }

        function IsLocked()
        {
            return ($this->m_catLocked == "1");
        }

        function SetLocked($bLock)
        {
            $this->m_catLocked = "0";
            if ($bLock == true)
                $this->m_catLocked = "1";
            return $this->SaveCategory();
        }

        function SetFolder($folder)
        {
            $this->m_catFolder = $folder;
        }
        
        // Main methods
        function CreateCategory()
        {
            $this->Init();
            $this->m_catId = uniqid("cat", FALSE);
            $this->m_catDate = date("Y-m-d H:i:s");
        }

        function DeleteCategoryFinal()
        {
            return unlink($this->m_catFolder . $this->m_catId . ".cat");
        }

        function DeleteCategoryFinalFromId($catId)
        {
            return unlink($this->m_catFolder . $catId . ".cat");
        }

        function UnlockCategory()
        {
            $m_catLocked = "0";
            return $this->SaveCategory();
        }

        function LockCategory()
        {
            $m_catLocked = "1";
            return $this->SaveCategory();
        }

        function LoadCategoryFromId($catId)
        {
            $this->m_catId = $catId;
            return $this->LoadCategory();
        }

        function LoadCategory()
        {
            $fileName = $this->m_catFolder . $this->m_catId  . ".cat";
            //echo  $fileName;

            if ($this->m_catId == "0" || $this->m_catFolder == "")
                return false;

            $cStorage = new cStorageFile;
            if ($cStorage->LoadStorageFromFile($fileName) == false)
                return false;

            if ($cStorage->GetData("Id") == "")
                return false;

            $this->m_catId = $cStorage->GetData("Id");
            $this->m_catDate = $cStorage->GetData("Date");
            $this->m_catName = $cStorage->GetData("Name");
            $this->m_catDescription = $cStorage->GetData("Description");
            $this->m_catPosition = $cStorage->GetData("Position");
            $this->m_catLocked = $cStorage->GetData("Locked");

            return true;
        }

        function SaveCategory()
        {
            $newRow = "\r\n";
            $fileName = $this->m_catFolder . $this->m_catId  . ".cat";
            // echo $fileName;

            if ($this->m_catId == "0" || $this->m_catFolder == "")
                return false;

            $cStorage = new cStorageFile;
            $cStorage->SetType("category");
            $cStorage->SetVersion("1.000");
            $cStorage->AddData("Id", $this->m_catId);
            $cStorage->AddData("Date", $this->m_catDate);
            $cStorage->AddData("Name", $this->m_catName);
            $cStorage->AddData("Description", $this->m_catDescription);
            $cStorage->AddData("Position", $this->m_catPosition, false);
            $cStorage->AddData("Locked", $this->m_catLocked, false);

            return $cStorage->SaveStorageToFile($fileName);
        }

    }
}