<?php

/*  Alternate WebshopEngine
(C) 2009-2015 by Alternate Tools
-----------------------------------------------------

File:         mod_config.php
Description:  Loading of configuration settings
              This makes them available as global variables
              (better than hardcoded ones :-) )

*/

    include "../modules/class_configuration.php";
    include "../modules/mod_constants.php";

    $conConfig = new cConfiguration;
    $conConfig->SetConfigurationFile($ADMIN_CONFIG_FILE);
    $conConfig->LoadConfigFile();

    // If loading fails, show the maintenance site
    if ($conConfig->LoadConfigFile() == false)
    {
        include $ADMIN_MAINTENANCE_SITE;
        return;
    }
    
    $SHOP_TITLE = $conConfig->GetParameter("shop_title");
    $SHOP_SITETITLE = $conConfig->GetParameter("shop_sitetitle");
    $SHOP_ORDEREMAIL = $conConfig->GetParameter("email");
    $SHOP_CUSTOMEREMAIL = $conConfig->GetParameter("cust_email");
    $SHOP_CUSTOMERORDERDONEEMAIL = $conConfig->GetParameter("cust_order_done_email");
    $SHOP_CHARSET_FORMAT = $conConfig->GetParameter("charset_format");
    $SHOP_METATAGS = $conConfig->GetParameter("meta_tags");
    $SHOP_METADESCRIPTION = $conConfig->GetParameter("meta_description");
    $SHOP_METAREVISIT = $conConfig->GetParameter("meta_revisit");
    $SHOP_METALANGUAGE = $conConfig->GetParameter("meta_language");
    $SHOP_NUMIMAGES = $conConfig->GetParameter("num_images");
    $NORM_IMAGE_WIDTH = $conConfig->GetParameter("img_width");
    $NORM_IMAGE_HEIGHT = $conConfig->GetParameter("img_height");
    $LARGE_IMAGE_WIDTH = $conConfig->GetParameter("large_img_width");
    $LARGE_IMAGE_HEIGHT = $conConfig->GetParameter("large_img_height");
    $THUMB_IMAGE_WIDTH = $conConfig->GetParameter("thumb_img_width");
    $THUMB_IMAGE_HEIGHT = $conConfig->GetParameter("thumb_img_height");
    $BASKET_IMAGE_WIDTH = $conConfig->GetParameter("basket_img_width");
    $BASKET_IMAGE_HEIGHT = $conConfig->GetParameter("basket_img_height");
    $SIDEBAR_IMAGE_WIDTH = $conConfig->GetParameter("sidebar_img_width");
    $SIDEBAR_IMAGE_HEIGHT = $conConfig->GetParameter("sidebar_img_height");
    $USE_ARTICLE_ADDITIONAL_IMAGES = $conConfig->GetParameter("use_article_additional_images");
    $ARTICLE_ADDITIONAL_IMAGES_COUNT = $conConfig->GetParameter("article_additional_images_count");
    $SHOW_VIDEO_HINT = $conConfig->GetParameter("show_videohint");
    $SHOP_CURRENCY = $conConfig->GetParameter("currency");
    $SHOP_SHIPPING_TYPE = $conConfig->GetParameter("shipping_type");
    $SHOP_SHIPPING_COSTS = $conConfig->GetParameter("shipping_costs");
    $SHOP_MAX_ARTICLE_COUNT = $conConfig->GetParameter("max_article_count");
    $SHOP_LANGUAGE = $conConfig->GetParameter("language");
    $SHOP_SIDEBAR = $conConfig->GetParameter("use_sidebar");
    $SHOP_SIDEBAR_NEWEST = $conConfig->GetParameter("sidebar_newest");
    $SHOP_SIDEBAR_CHEAPEST = $conConfig->GetParameter("sidebar_cheapest");
    $SHOP_SIDEBAR_POPULAR = $conConfig->GetParameter("sidebar_popular");
    $SHOP_SIDEBAR_MOSTORDERED = $conConfig->GetParameter("sidebar_mostordered");
    $SHOP_SIDEBAR_RECENT = $conConfig->GetParameter("sidebar_recent");
    $SHOP_SIDEBAR_SIMILAR = $conConfig->GetParameter("sidebar_similar");
    $SHOP_SIDEBAR_ARTICLE_COUNT = $conConfig->GetParameter("sidebar_img_count");
    $SHOP_SIDEBAR_WIDTH = $conConfig->GetParameter("sidebar_width");
    $USE_ARTICLE_AMOUNTS = $conConfig->GetParameter("use_article_amounts");
    $USE_CATEGORIES = $conConfig->GetParameter("use_categories");
    $SHOP_ARTICLE_SORT = $conConfig->GetParameter("frontend_sort");
    $ADMIN_ARTICLE_SORT = $conConfig->GetParameter("backend_sort");
    $USE_CUSTOM_FIELDS = $conConfig->GetParameter("use_custom_fields");
    $USE_CUSTOM_FIELDS_PRESETS = $conConfig->GetParameter("use_presets");
    $BUTTONTITLE_MAIN = $conConfig->GetParameter("buttontitle_main");
    $BUTTONTITLE_BASKET = $conConfig->GetParameter("buttontitle_basket");
    $BUTTONTITLE_ORDER = $conConfig->GetParameter("buttontitle_order");
    $BUTTONTITLE_TERMS = $conConfig->GetParameter("buttontitle_terms");
    $BUTTONTITLE_IMPRINT = $conConfig->GetParameter("buttontitle_imprint");
    $BUTTONTITLE_CONTACT = $conConfig->GetParameter("buttontitle_contact");
    $SHOW_CONTACT = $conConfig->GetParameter("show_contact");
    $BUTTONTITLE_HELP = $conConfig->GetParameter("buttontitle_help");
    $SHOP_SHOWHELP = $conConfig->GetParameter("show_help");
    $SHOP_SHOWCOUNTER = $conConfig->GetParameter("show_counter");
    $SHOP_MAINTENANCE_MODE = $conConfig->GetParameter("maintenance_mode");
    $ADMIN_EMAIL = $conConfig->GetParameter("admin_mail");
    $ADMIN_MAILON_ORDERFAILED = $conConfig->GetParameter("admin_mail_orderfailed");
    $ADMIN_MAILON_BACKENDLOGIN = $conConfig->GetParameter("admin_mail_backendlogin");
    $ADMIN_MAILON_CONTACT = $conConfig->GetParameter("admin_mail_contact");
    $ADMIN_MAILON_ORDERDONE = $conConfig->GetParameter("admin_mail_orderdone");
    $ADMIN_MAILON_AUTOCUSTEMAIL = $conConfig->GetParameter("admin_mail_autocustemail");
    $SHOP_CONTACT_SECURITY = $conConfig->GetParameter("admin_mail_contactsecurity");
    $PRESET_CUSTOM_FIELD_COUNT = $conConfig->GetParameter("preset_custom_field_count");
    $ARTICLE_CUSTOM_FIELD_COUNT = $conConfig->GetParameter("article_custom_field_count");
    $DISABLE_ORDER = $conConfig->GetParameter("disable_order");
    $DISABLE_ORDER_MESSAGE = $conConfig->GetParameter("disable_order_message");
    $SHOP_SHOWSPLASHPAGE = $conConfig->GetParameter("show_splashpage");
    $SHOP_IMAGESPLASHPAGE = $conConfig->GetParameter("image_splashpage");
    $ENABLE_CUSTOMER_LOGIN = $conConfig->GetParameter("enable_customer_login");
    $ENABLE_CUSTOMER_REGISTRATION = $conConfig->GetParameter("enable_customer_registration");
    $FORCE_CUSTOMER_REGISTRATION = $conConfig->GetParameter("force_customer_registration");
    $FORCE_CUSTOMER_LOGIN = $conConfig->GetParameter("force_customer_login");
    $ADMIN_USEWYSIGWYG = $conConfig->GetParameter("use_wysiwygeditor");
    $SHOP_THEME = $conConfig->GetParameter("shop_theme");

    if ($SHOP_LANGUAGE == "de")
    {
        $SHOP_LANGUAGE_FILE = "../languages/shop_german.trans";
        $ADMIN_LANGUAGE_FILE = "../languages/admin_german.trans";
        $ADMIN_HELP_FILE = "../languages/help_de.htm";
        $ADMIN_EDITOR_FILE = "../modules/mod_editor/tiny_mce.js";
    }
    else
    {
        $SHOP_LANGUAGE_FILE = "../languages/shop_english.trans";
        $ADMIN_LANGUAGE_FILE = "../languages/admin_english.trans";
        $ADMIN_HELP_FILE = "../languages/help_en.htm";
        $ADMIN_EDITOR_FILE = "../modules/mod_editor/tiny_mce.js";
    }